Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.exprmatch
Class ExprMatcher

    java.lang.Object
      com.hp.hpl.jena.sdb.exprmatch.ExprMatcher

    public class ExprMatcher

extends Object

Matches an expression template to a query expression.

Author:
  Andy Seaborne

Constructor Summary
`ExprMatcher()`

Method Summary
`static MapResult` | `match(com.hp.hpl.jena.sparql.expr.Expr expression, com.hp.hpl.jena.sparql.expr.Expr pattern, MapAction mapAction)`
`static MapResult` | `match(com.hp.hpl.jena.sparql.expr.Expr expression, com.hp.hpl.jena.sparql.expr.Expr pattern, MapAction mapAction, MapCallout mapCallout)`
`static MapResult` | `match(com.hp.hpl.jena.sparql.expr.Expr expression, com.hp.hpl.jena.sparql.expr.Expr pattern, MapAction mapAction, MapCallout mapCallout, MapResult mapResult)` Match an expression against a pattern.
`static MapResult` | `match(String expression, String pattern, MapAction mapAction)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExprMatcher

    public ExprMatcher()

Method Detail

### match

    public static MapResult match(com.hp.hpl.jena.sparql.expr.Expr expression,
                                  com.hp.hpl.jena.sparql.expr.Expr pattern,
                                  MapAction mapAction,
                                  MapCallout mapCallout,
                                  MapResult mapResult)

  Match an expression against a pattern. If the pattern has variables in it, these are checked, by name, in the MapAction and the registered action invoked to determine whether the variable matches; if the pattern has a named funcion, the MapCallout is used to find a registered operation. Return a map of results, recording the bindings of variables

### match

    public static MapResult match(com.hp.hpl.jena.sparql.expr.Expr expression,
                                  com.hp.hpl.jena.sparql.expr.Expr pattern,
                                  MapAction mapAction,
                                  MapCallout mapCallout)

### match

    public static MapResult match(com.hp.hpl.jena.sparql.expr.Expr expression,
                                  com.hp.hpl.jena.sparql.expr.Expr pattern,
                                  MapAction mapAction)

### match

    public static MapResult match(String expression,
                                  String pattern,
                                  MapAction mapAction)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.